libetonyek_utils.cpp File Reference
`#include "libetonyek_utils.h"`
`#include <cmath>`
`#include <cstdarg>`
`#include <cstdint>`
`#include <cstdio>`
`#include <cstdlib>`
`#include <limits>`
`#include <stdexcept>`
`#include "IWORKTypes.h"`

## Namespaces
namespace | libetonyek

## Functions
uint8_t | libetonyek::readU8 (const RVNGInputStreamPtr_t &input, bool)
uint16_t | libetonyek::readU16 (const RVNGInputStreamPtr_t &input, bool bigEndian)
uint32_t | libetonyek::readU32 (const RVNGInputStreamPtr_t &input, bool bigEndian)
uint64_t | libetonyek::readU64 (const RVNGInputStreamPtr_t &input, bool bigEndian)
uint64_t | libetonyek::readUVar (const RVNGInputStreamPtr_t &input)
int64_t | libetonyek::readSVar (const RVNGInputStreamPtr_t &input)
double | libetonyek::readDouble (const RVNGInputStreamPtr_t &input)
float | libetonyek::readFloat (const RVNGInputStreamPtr_t &input)
unsigned long | libetonyek::getLength (const RVNGInputStreamPtr_t &input)
unsigned long | libetonyek::getRemainingLength (const RVNGInputStreamPtr_t &input)
bool | libetonyek::approxEqual (double x, double y, double eps=ETONYEK_EPSILON)
| Test two floating point numbers for equality.
double | libetonyek::pt2in (double d)
| Convert a length from points to inches.
double | libetonyek::deg2rad (double value)
| Convert an angle from degrees to radians.
double | libetonyek::rad2deg (double value)
| Convert an angle from radians to degrees.
librevenge::RVNGString | libetonyek::makeColor (const IWORKColor &color)
librevenge::RVNGString | libetonyek::makeColor (const IWORKGradient &gradient)
| Compute the average color of a gradient and return it as a string.
void | libetonyek::writeBorder (const IWORKStroke &stroke, const char *const name, librevenge::RVNGPropertyList &props)
std::string | libetonyek::detectMimetype (const RVNGInputStreamPtr_t &stream)
bool | libetonyek::detectImageDimension (const RVNGInputStreamPtr_t &stream, double &width, double &height)